List
curl --request GET \
--url https://{defaultHost}/v1/prices \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/prices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"pagination": {
"count": 1,
"limit": 20,
"page": 1,
"url": "/v1/prices"
},
"data": [
{
"id": "cba0a665-ccd9-4b78-86e9-1878a47c63d9",
"object": "price",
"ad_hoc": false,
"ad_hoc_max_amount": null,
"ad_hoc_min_amount": 0,
"amount": 2900,
"archived": false,
"archived_at": null,
"currency": "usd",
"current_version": true,
"full_amount": 2900,
"license_activation_limit": null,
"metadata": {},
"name": null,
"position": 0,
"portal_subscription_update_enabled": true,
"restart_subscription_on_completed": false,
"revoke_after_days": null,
"revoke_purchases_on_completed": false,
"recurring_interval": null,
"recurring_interval_count": null,
"recurring_period_count": null,
"scratch_amount": null,
"setup_fee_amount": 0,
"setup_fee_enabled": false,
"setup_fee_trial_enabled": true,
"setup_fee_name": null,
"trial_duration_days": null,
"current_swap": null,
"product": "cd22ff67-8269-40c4-8e41-48aab8caaf58",
"renewal_price": null,
"discarded_at": null,
"created_at": 1782485864,
"updated_at": 1782485864
}
]
}Prices
List
Returns a list of your prices.
GET
/
v1
/
prices
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only return prices that allow ad hoc amounts or not.
Only return objects that are archived or not archived.
Only return objects with the given IDs.
A limit on the number of items to be returned, between 1 and 100.
The page of items you want returned.
Only return objects that belong to the given products.
The sorting column and order to be used for this collection. Available sorting columns for this endpoint are amount, created_at, and updated_at.
Was this page helpful?
⌘I